> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a SpeakerTask



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json patch /api/entities/speakertask/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/speakertask/{id}:
    patch:
      tags:
        - SpeakerTask
      summary: Update a SpeakerTask
      operationId: updateSpeakerTask
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SpeakerTask'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updated:
                    type: boolean
                type: object
          description: Updated
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    SpeakerTask:
      properties:
        completedAt:
          format: date-time
          type: string
        eventId:
          type: string
        id:
          type: string
        orgId:
          type: string
        responseJson:
          description: Arbitrary JSON value
        speakerUserId:
          type: string
        status:
          type: string
        taskTemplateId:
          type: string
      required:
        - id
        - orgId
        - eventId
        - taskTemplateId
        - speakerUserId
        - status
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````